@import url('https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,100..900;1,100..900&family=Source+Serif+4:ital,opsz,wght@0,8..60,200..900;1,8..60,200..900&display=swap');

:root {

  --font-family: "Source Serif 4", serif;
  --font-optical-sizing: auto;
  --font-size: 18px;
  --line-height: 1.6;
  --background-color: #FCF0DA;
  --text-color: #000;
  --off-background-color: rgba(0, 0, 0, 0.08);
  --light-text-color: rgba(0, 0, 0, 0.3333);
  --medium-text-color: rgba(0, 0, 0, 0.6666);
  --link-color: #3650C4;
}

@media (prefers-color-scheme: dark) {
  :root {
    --background-color: #111;
    --off-background-color: rgba(238, 238, 238, 0.08);
    --text-color: #eee;
    --light-text-color: rgba(238, 238, 238, 0.3333);
    --medium-text-color: rgba(238, 238, 238, 0.6666);
    --link-color: #a7b6f3;
  }
}

body,
html {
  width: 100%;
  padding: 0;
  max-width: 36em;
  margin: 0 auto;
  -webkit-font-smoothing: antialiased;
  color: var(--text-color);
  background: var(--background-color);
  font-family: var(--font-family);
  font-size: var(--font-size);
  line-height: var(--line-height);
}

body {
  padding: clamp(1.6em, calc((100vw - 40em) / 2), 2.8em) 2em;
  box-sizing: border-box;
}

ol,
ul {
  padding: 0;
}

ul {
  list-style-type: circle;
}

a {
  color: var(--link-color);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

h1 {
  font-family: "Public Sans", sans-serif;
  font-weight: 600;
  margin-bottom: 0;
  font-size: 1.33333333em;
  color: #8E9663;

}

h2 {
  font-family: "Public Sans", sans-serif;
  font-weight: 300;
  font-size: 180%;
  color: #8E9663;
  margin: 2em 0 0 0;
}

h2 a {
  display: inline-block;
  margin-right: 2em;
  padding-bottom: .5em;
  color: var(--light-text-color);
  font-weight: 400;
  margin-bottom: 1em;
}

h2 a:hover {
  text-decoration: none;
}

h2 a.selected {
  border-bottom: 1px solid var(--link-color);
  color: var(--link-color);
}

.header h1+p {
  margin-top: 0;
  margin-bottom: 0;
  color: var(--medium-text-color);
}

.header h1+p+ul {
  display: flex;
  list-style-type: none;
  margin: .5em 0;
  padding: 0;
  margin-bottom: 3em;
}

.header h1+p+ul li {
  font-family: "Public Sans", sans-serif;
  font-size: 90%;
  margin-right: .5em;
}

.header h1+p+ul li a {
  font-size: .8em;
  background: var(--off-background-color);
  color: var(--medium-text-color);
  display: block;
  border-radius: 1em;
  padding: .25em .75em;
}

.header.subpage a:hover {
  text-decoration: none;
}

.header.subpage ul {
  display: none !important;
}

.header.subpage h1 {
  font-size: 15px;
  color: var(--light-text-color);
  font-weight: 400;
}

.header.subpage h1+p {
  display: none;
}

.header.subpage p:first-of-type img {
  width: 3em;
  height: 3em;
  float: none;
  font-size: 18px;
}

.header p:first-of-type img {
  max-width: 100%;
  width: 6.13333333em;
  height: 6.13333333em;
  border-radius: 50%;
  float: left;
  margin-right: 1.333em;
}

span.caption {
  display: none;
}

h3 {
  color: var(--light-text-color);
  font-size: 15px;
  font-weight: 400;
}

.subheading-column h3 {
  display: flex;
  position: relative;
  margin: 0 0 .75em 0;
  float: left;
}

.subheading-column h3~p,
.subheading-column h3~ul {
  margin-left: 8em;
  color: var(--medium-text-color);
}

@media (max-width: 600px) {
  .subheading-column h3 {
    display: block;
    float: none;
    margin-left: 0;
  }

  .subheading-column h3~p,
  .subheading-column h3~ul {
    margin-left: 0;
  }
}

p#title {
  font-family: "Public Sans", sans-serif;
  font-size: 80%;
}

.entry img,
p img {
  max-width: 100%;
  width: 100%;
  height: auto;
}

.subheading-column h3~p img {
  max-height: 6em;
  width: auto;
  border-radius: .25em;
  margin-right: .75em;
  margin-bottom: .5em;
  display: inline-block;
}

.subheading-column h3+p {
  color: #000;
}

.subheading-column h3,
.subheading-column h3+p {
  padding-top: 1.6em;
  margin-top: 0;
  margin-bottom: 0;
}

.subheading-column h3+p+p,
.subheading-column h3+p+ul {
  margin-top: 0;
}

kbd {
  background: var(--off-background-color);
  color: var(--medium-text-color);
  padding: .1em .25em;
  border-radius: .25em;
  font-size: .9em;
}

.arrow-after-link h3+p a:after {
  content: "→";
  width: 1.25em;
  height: 1.25em;
  line-height: 1.25;
  font-size: .8em;
  border-radius: 100%;
  overflow: hidden;
  text-align: center;
  background: #8EB3B1;
  transform: rotate(-45deg);
  display: inline-block;
  text-indent: 0;
  margin-left: 6px;
}

.arrow-after-link h3+p:hover a:after {
  animation: chevronLoop .4s linear;
}

@keyframes chevronLoop {
  0% {
    text-indent: 0;
  }

  50% {
    text-indent: 15px;
  }

  51% {
    text-indent: -15px;
  }

  100% {
    text-indent: 0;
  }
}

.fade-in {
  animation: fadeIn .5s;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
